Subject: bug#23171: 25.0.92; Key binding conventions for all modifiers

From: Philipp Stephani <[email-masked]>
Date: Sun, 26 Jan 2020 15:38:21 +0100

Am Fr., 8. Nov. 2019 um 05:51 Uhr schrieb Stefan Kangas <[email-masked]>:
>
> Philipp Stephani <[email-masked]> writes:
>
> > Eli Zaretskii <[email-masked]> schrieb am Do., 31. März 2016 um 21:26 Uhr:
> >
> >  > From: Philipp Stephani <[email-masked]>
> >  > Date: Thu, 31 Mar 2016 19:40:25 +0200
> >  >
> >  > The manual entry "Key binding conventions" talks only about a small
> >  > subset of possible key bindings, such as the C-c prefix and the function
> >  > keys.  Keys with Meta, Super, Hyper, and Alt are not documented.  The
> >  > manual should contain conventions/rules for all possible keys.
> >
> >  I'm not sure I understand the essence of the report.  There's a whole
> >  section (named, unsurprisingly, "Key Bindings") dedicated to key
> >  bindings, and a subsection there named "Modifier Keys" covers all the
> >  modifiers, AFAICT.
> >
> > What I mean is a specification which combinations are reserved for the user, minor modes, and major modes. Context is
> > http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22604, where such an addition was requested for C-c combinations. Here I request
> > one for all keys.
>
> Which conventions are we talking about here more specifically?  Could
> you enumerate them or give a couple of examples?

For example, anything including one or more of the Super, Hyper, and
Alt modifiers. Or sequences consisting of C-c and a non-ASCII letter.